$!-----------------------------------------------------------------------------
$! BUILD.COM
$! Prepare environment, build SWISH-E and SWISHesi.
$! Requires MMS.
$!
$! 02-SEP-2002  MGD  modified (again) for VAX
$! 05-JAN-2002  MGD  formalized, refined
$!-----------------------------------------------------------------------------
$ proc = f$environment("PROCEDURE")
$ proc = f$parse(proc,"sys$disk:[]",,,"NO_CONCEAL")
$ cur_dev = f$parse(proc,,,"DEVICE","SYNTAX_ONLY")
$ cur_dir = f$parse(proc,,,"DIRECTORY","SYNTAX_ONLY")
$ cur_dir = f$extract(1,f$length(cur_dir)-2,cur_dir)
$ cur_dir = cur_dir - "["
$ cur_dir = cur_dir - "]"
$ cur_dir = cur_dir - "<"
$ cur_dir = cur_dir - ">"
$ if cur_dir .eqs. "000000"
$ then
$    root_dir = ""
$ else
$    root_dir = cur_dir + "."
$ endif
$!
$ if f$trnlnm("swishe_root") .eqs. ""
$ then
$    define /process /trans=concealed swishe_root 'cur_dev'['root_dir']
$    swishe_dir = f$search("SWISHE_ROOT:[000000]SWISH-E-*.DIR")
$    swishe_dir = f$parse(swishe_dir,,,"name")
$    define /process /nolog /trans=concealed -
            swishe_root 'cur_dev'['root_dir''swishe_dir'.]
$ endif
$ show logical swishe_root
$
$ if f$trnlnm("libz") .eqs. ""
$ then
$    define /process /trans=concealed libz 'cur_dev'['root_dir']
$    libz_dir = f$search("LIBZ:[000000]zlib-*.DIR")
$    libz_dir = f$parse(libz_dir,,,"name")
$    define /process /nolog -
            libz 'cur_dev'['root_dir''libz_dir']
$    set def libz
$    @make_vms.com
$ endif
$ show logical libz
$
$ arch_name = f$edit(f$getsyi("arch_name"),"collapse")
$ if arch_name .nes. "VAX" then arch_name = "AXP"
$ copy swishe_root:[src.vms]descrip_'arch_name'.mms -
       swishe_root:[src.vms]descrip.mms
$ @swishe_root:[src.vms]build_swish-e.com
$!
$ set def 'cur_dev'['cur_dir'.swishesi]
$ @build_swishesi.com
$!
$ deassign /process swishe_root
$ deassign /process libz 
$ set def 'cur_dev'['cur_dir']
$ exit
$!-----------------------------------------------------------------------------
